Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Zhu/IZhuOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Zhu/IZhuOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/Zhu/IZhuOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Variants;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Encodings.Zhu {
+  [StorableType("79f61643-a637-4122-a0d5-f210582ed82b")]
   public interface IZhuOperator :
     ISingleDepotOperator, IHomogenousCapacitatedOperator, ITimeWindowedOperator {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IMultiVRPOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IMultiVRPOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IMultiVRPOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
+  [StorableType("3970adb2-37ea-41ac-bc3c-918af1cc3d0d")]
   interface IMultiVRPOperator : IVRPOperator {
     void SetOperators(IEnumerable<IOperator> operators);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPCreator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPCreator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPCreator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
+  [StorableType("51fb40dd-f56b-4d77-862d-ed54bcd8c12b")]
   public interface IVRPCreator : IVRPOperator, ISolutionCreator {
     ILookupParameter<IVRPEncoding> VRPToursParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPCrossover.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPCrossover.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPCrossover.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
+  [StorableType("be9746b6-40fb-4e4d-be4f-289074da945e")]
   public interface IVRPCrossover : IVRPOperator, ICrossover {
     ILookupParameter<ItemArray<IVRPEncoding>> ParentsParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPEncoding.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPEncoding.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPEncoding.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using System.Collections.Generic;
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
+  [StorableType("f9dc32b7-cc73-4eec-bb88-83dbc19c011b")]
   public interface IVRPEncoding : IItem {
     List<Tour> GetTours();
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPEvaluator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPEvaluator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPEvaluator.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Problems.VehicleRouting.ProblemInstances;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
+  [StorableType("15d7fb98-cc08-4b08-a901-7f17f8c66a5e")]
   public interface IVRPEvaluator : IVRPOperator, ISingleObjectiveEvaluator {
     ILookupParameter<IVRPEncoding> VRPToursParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPLocalSearchManipulator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPLocalSearchManipulator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPLocalSearchManipulator.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
+  [StorableType("34776e0e-9070-4ccb-8b86-8ec6623fb52b")]
   public interface IVRPLocalSearchManipulator : IVRPManipulator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPManipulator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPManipulator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPManipulator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
+  [StorableType("c2a81f11-d970-46e0-ac0e-8321db70616a")]
   public interface IVRPManipulator : IVRPOperator, IManipulator {
     ILookupParameter<IVRPEncoding> VRPToursParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPMoveOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPMoveOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPMoveOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
+  [StorableType("e152c738-52a9-43fd-8d34-6faee98f2aa2")]
   public interface IVRPMoveOperator : IVRPOperator, IMoveOperator {
     ILookupParameter<IVRPEncoding> VRPToursParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPMultiNeighborhoodShakingOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPMultiNeighborhoodShakingOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPMultiNeighborhoodShakingOperator.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Core;
 using HeuristicLab.Optimization;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
+  [StorableType("ab05fd1e-2ffe-4200-9b58-32213074f2c7")]
   public interface IVRPMultiNeighborhoodShakingOperator : IMultiNeighborhoodShakingOperator, IVRPOperator {
     ILookupParameter<IVRPEncoding> VRPToursParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
+  [StorableType("120053ec-7997-432c-b761-53f16814a9f8")]
   public interface IVRPOperator : IItem {
     ILookupParameter<IVRPProblemInstance> ProblemInstanceParameter { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPProblemInstance.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPProblemInstance.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interfaces/IVRPProblemInstance.cs	(revision 14929)
@@ -25,6 +25,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Problems.VehicleRouting.ProblemInstances;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interfaces {
+  [StorableType("4e582bac-b8b2-4f8b-b84c-839c50790188")]
   public interface IVRPProblemInstance : IParameterizedNamedItem {
     IVRPEvaluator SolutionEvaluator { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPInterpreter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPInterpreter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPInterpreter.cs	(revision 14929)
@@ -26,6 +26,8 @@
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interpreters {
+  [StorableType("c45b76f6-f93b-41c7-87c0-3b7e675b7ff6")]
   public class CVRPInterpreter : VRPInterpreter, IVRPDataInterpreter<CVRPData> {
     protected override IVRPProblemInstance CreateProblemInstance() {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPTWInterpreter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPTWInterpreter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/CVRPTWInterpreter.cs	(revision 14929)
@@ -26,6 +26,8 @@
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interpreters {
+  [StorableType("1764914e-81aa-4ac6-84d4-6b9b5a9235a1")]
   public class CVRPTWInterpreter : CVRPInterpreter, IVRPDataInterpreter<CVRPTWData> {
     protected override IVRPProblemInstance CreateProblemInstance() {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/IVRPDataInterpreter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/IVRPDataInterpreter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/IVRPDataInterpreter.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interpreters {
+  [StorableType("886ddfc7-60d7-4de3-9e2f-51e1b0aea3b9")]
   public struct VRPInstanceDescription {
     public string Name { get; set; }
@@ -33,8 +35,10 @@
   }
 
+  [StorableType("8212b8f3-281f-4c42-a7fd-ddd8cc791105")]
   public interface IVRPDataInterpreter {
     VRPInstanceDescription Interpret(IVRPData data);
   }
 
+  [StorableType("88d16c1c-579d-44fd-ba68-4d90ec8c98a5")]
   public interface IVRPDataInterpreter<T> : IVRPDataInterpreter where T : IVRPData {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/MDCVRPInterpreter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/MDCVRPInterpreter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/MDCVRPInterpreter.cs	(revision 14929)
@@ -26,6 +26,8 @@
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interpreters {
+  [StorableType("2f032344-737f-4562-95fc-c0496a626a74")]
   public class MDCVRPInterpreter : VRPInterpreter, IVRPDataInterpreter<MDCVRPData> {
     protected override IVRPProblemInstance CreateProblemInstance() {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/MDCVRPTWInterpreter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/MDCVRPTWInterpreter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/MDCVRPTWInterpreter.cs	(revision 14929)
@@ -26,6 +26,8 @@
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interpreters {
+  [StorableType("fd44c745-848f-4b8b-be44-99e1b9db3b2a")]
   public class MDCVRPTWInterpreter : MDCVRPInterpreter, IVRPDataInterpreter<MDCVRPTWData> {
     protected override IVRPProblemInstance CreateProblemInstance() {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/PDPTWInterpreter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/PDPTWInterpreter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/PDPTWInterpreter.cs	(revision 14929)
@@ -26,6 +26,8 @@
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interpreters {
+  [StorableType("4697e9ae-26a8-47cc-a597-74847202e33c")]
   public class PDPTWInterpreter : CVRPTWInterpreter, IVRPDataInterpreter<PDPTWData> {
     protected override IVRPProblemInstance CreateProblemInstance() {
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/VRPInterpreter.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/VRPInterpreter.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Interpreters/VRPInterpreter.cs	(revision 14929)
@@ -27,6 +27,8 @@
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
 using System;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Interpreters {
+  [StorableType("72fa0de2-69da-4995-afe6-a281b0cf7e4b")]
   public abstract class VRPInterpreter : IVRPDataInterpreter<IVRPData> {
     protected abstract void Interpret(IVRPData data, IVRPProblemInstance problemInstance);
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPEvaluation.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPEvaluation.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPEvaluation.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
+  [StorableType("4dcef89b-e83e-4000-84be-d61ecc864016")]
   public class CVRPInsertionInfo : StopInsertionInfo {
     private double spareCapacity;
@@ -35,4 +37,5 @@
   }
 
+  [StorableType("b341fad8-8a56-4917-9ee8-5452bdb49a02")]
   public class CVRPEvaluation : VRPEvaluation {
     public double Overload { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWEvaluation.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWEvaluation.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPPDTW/CVRPPDTWEvaluation.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
+  [StorableType("6831c4f5-0409-43e3-a2cc-22d146b8c27f")]
   public class CVRPPDTWInsertionInfo : CVRPTWInsertionInfo {
     private List<int> visited;
@@ -44,4 +46,5 @@
   }
 
+  [StorableType("cc1ccf5e-0adc-4c9e-a7fe-55cbab6cb3c5")]
   public class CVRPPDTWEvaluation : CVRPTWEvaluation {
     public int PickupViolations { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWEvaluation.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWEvaluation.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/SingleDepotVRP/CVRP/CVRPTW/CVRPTWEvaluation.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
+  [StorableType("3b2672a8-0ff5-4c95-b39e-829aaa09651b")]
   public class CVRPTWInsertionInfo : CVRPInsertionInfo {
     private double tourStartTime;
@@ -63,4 +65,5 @@
   }
 
+  [StorableType("37fee5c4-1752-48b5-b21d-d5ea15f7757f")]
   public class CVRPTWEvaluation : CVRPEvaluation {
     public double Tardiness { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/VRPEvaluation.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/VRPEvaluation.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/ProblemInstances/VRPEvaluation.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using System.Collections.Generic;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.ProblemInstances {
+  [StorableType("dde417ca-cb1e-4aa8-b573-22e5451f0d4a")]
   public class StopInsertionInfo {
     private int start;
@@ -43,4 +45,5 @@
   }
 
+  [StorableType("e80a6db1-bd54-46c5-96ed-e2b811c9b054")]
   public class TourInsertionInfo {
     public double Penalty { get; set; }
@@ -70,4 +73,5 @@
   }
 
+  [StorableType("6d3e38c2-65fe-494e-b683-eb77249df833")]
   public class InsertionInfo {
     private List<TourInsertionInfo> tourInsertionInfos;
@@ -87,4 +91,5 @@
   }
 
+  [StorableType("6786408a-87bb-43db-9d44-1aefdf2548e6")]
   public class VRPEvaluation {
     public double Quality { get; set; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/SolutionParser.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/SolutionParser.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/SolutionParser.cs	(revision 14929)
@@ -23,6 +23,8 @@
 using System.Collections.Generic;
 using System.IO;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting {
+  [StorableType("943daa2f-1b98-46b7-acff-82565f955fe5")]
   class SolutionParser {
     private string file;
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Heterogenous/IHeterogenousCapacitatedOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Heterogenous/IHeterogenousCapacitatedOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Heterogenous/IHeterogenousCapacitatedOperator.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("34081882-6cb7-4dd7-896b-d87c2c4be5be")]
   public interface IHeterogenousCapacitatedOperator : IHomogenousCapacitatedOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Heterogenous/IHeterogenousCapacitatedProblemInstance.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Heterogenous/IHeterogenousCapacitatedProblemInstance.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Heterogenous/IHeterogenousCapacitatedProblemInstance.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("9a48c164-7d52-49c1-a11e-6b633c0f63e1")]
   public interface IHeterogenousCapacitatedProblemInstance : ICapacitatedProblemInstance {
     DoubleArray Capacity { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Homogenous/IHomogenousCapacitatedOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Homogenous/IHomogenousCapacitatedOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Homogenous/IHomogenousCapacitatedOperator.cs	(revision 14929)
@@ -1,3 +1,4 @@
-﻿#region License Information
+﻿using HeuristicLab.Persistence;
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2016 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -22,4 +23,5 @@
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("bdd8ee3b-a6d8-4548-973e-4b229556b3b3")]
   public interface IHomogenousCapacitatedOperator : ICapacitatedOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Homogenous/IHomogenousCapacitatedProblemInstance.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Homogenous/IHomogenousCapacitatedProblemInstance.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/Homogenous/IHomogenousCapacitatedProblemInstance.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Data;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("668c8756-7f59-4c30-b707-409b0166bef7")]
   public interface IHomogenousCapacitatedProblemInstance : ICapacitatedProblemInstance {
     DoubleValue Capacity { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/ICapacitatedOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/ICapacitatedOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/ICapacitatedOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("fdc8d805-d1ee-4987-a9a0-125dd454083f")]
   public interface ICapacitatedOperator : IVRPOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/ICapacitatedProblemInstance.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/ICapacitatedProblemInstance.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/Capacitated/ICapacitatedProblemInstance.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("3ec42535-c4d2-4e55-8bcc-b3c553d8d9cd")]
   public interface ICapacitatedProblemInstance : IVRPProblemInstance {
     DoubleValue OverloadPenalty { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/General/IGeneralVRPOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/General/IGeneralVRPOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/General/IGeneralVRPOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("31edb4a3-1c30-4c48-9c69-7f265c6e3d32")]
   public interface IGeneralVRPOperator : IVRPOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/MultiDepot/IMultiDepotOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/MultiDepot/IMultiDepotOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/MultiDepot/IMultiDepotOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("2bc8a2f9-fa1d-4a5a-8670-314454ab834a")]
   public interface IMultiDepotOperator : IVRPOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/MultiDepot/IMultiDepotProblemInstance.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/MultiDepot/IMultiDepotProblemInstance.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/MultiDepot/IMultiDepotProblemInstance.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("577c4553-7222-404b-9b4e-14ce11c22d57")]
   public interface IMultiDepotProblemInstance : IVRPProblemInstance {
     IntValue Depots { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/PickupAndDelivery/IPickupAndDeliveryOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/PickupAndDelivery/IPickupAndDeliveryOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/PickupAndDelivery/IPickupAndDeliveryOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("4feee9e0-fc38-4a59-ab7a-9576b70f6b93")]
   public interface IPickupAndDeliveryOperator : IVRPOperator {
   }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/PickupAndDelivery/IPickupAndDeliveryProblemInstance.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/PickupAndDelivery/IPickupAndDeliveryProblemInstance.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/PickupAndDelivery/IPickupAndDeliveryProblemInstance.cs	(revision 14929)
@@ -22,6 +22,8 @@
 using HeuristicLab.Data;
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("5cad1ab4-0b1c-4188-abf9-a2676a57e62f")]
   public interface IPickupAndDeliveryProblemInstance : IVRPProblemInstance {
     IntArray PickupDeliveryLocation { get; }
Index: /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/SingleDepot/ISingleDepotOperator.cs
===================================================================
--- /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/SingleDepot/ISingleDepotOperator.cs	(revision 14928)
+++ /branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Variants/SingleDepot/ISingleDepotOperator.cs	(revision 14929)
@@ -21,6 +21,8 @@
 
 using HeuristicLab.Problems.VehicleRouting.Interfaces;
+using HeuristicLab.Persistence;
 
 namespace HeuristicLab.Problems.VehicleRouting.Variants {
+  [StorableType("c6b85113-4dcc-42f8-9def-83999dd0129f")]
   public interface ISingleDepotOperator : IVRPOperator {
   }
